Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Modules.Blogging.Blog (phoenix_kit v1.6.19)

View Source

Lists posts for a blog and provides creation actions.

# Summary

## Functions

build_post_languages(post, blog_slug, enabled_languages, current_locale)

Builds language data for the blog_language_switcher component. Returns a list of language maps with status, path, and metadata.

format_datetime(arg1, current_user, date_time_settings)
render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

# Functions

# build_post_languages(post, blog_slug, enabled_languages, current_locale)

Builds language data for the blog_language_switcher component. Returns a list of language maps with status, path, and metadata.

# format_datetime(arg1, current_user, date_time_settings)

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.